DockWrapper (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui.dock
Class DockWrapper

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.bbn.openmap.gui.dock.DockWrapper

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class DockWrapper

extends javax.swing.JPanel

A panel that contains controls that will either be docked, internal-framed or external framed...

Since:
  12/5/02
Version:
  $Revision: 1.7 $ on $Date: 2005/08/09 17:50:51 $
Author:
  Ben Lubin
See Also:
  Serialized Form

Nested Class Summary
`protected class` | `DockWrapper.MouseHandler`

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DockWrapper(BasicDockPanel dp)`

Method Summary
`void` | `addChild(javax.swing.JComponent child)`
`boolean` | `canClose()` Determine if this can close
`boolean` | `canDockEast()` Determine if this can dockEast
`boolean` | `canDockNorth()` Determine if this can dockNorth
`boolean` | `canDockSouth()` Determine if this can dockSouth
`boolean` | `canDockWest()` Determine if this can dockWest
`boolean` | `canExternalFrame()` Determine if this can externalFrame
`boolean` | `canInternalFrame()` Determine if this can internalFrame
`boolean` | `canOcclude()` Determine if this can occlude
`boolean` | `canTab()` Determine if this can tab
`void` | `dock(DockWrapper w)`
`void` | `dock(DockWrapper w, int i)`
`void` | `doLayout()`
`void` | `freeWrapper()`
`boolean` | `freeWrapper(DockWrapper w)` Attempt to remove the given wrapper from us
`javax.swing.JComponent` | `getChild()` Get the one and only child if we are not tabbed.
`java.util.List` | `getChildren()` Get all of the children that we are holding.
`DockWrapper` | `getDockedWrapper(int idx)`
`int` | `getDockedWrapperIndexForTabbing()` Get the index of the dockwrapper that we should use for tabbing-up, or -1 if there is none.
`java.util.List` | `getDockedWrappers()`
`boolean` | `hasDockedWrappers()`
`protected int` | `inBorder(int x, int y)` get the border that mouse is in
`boolean` | `isDockedOnRecurse(DockWrapper w)` Recursively determine if another wrapper is docked on this one.
`boolean` | `isTabbed()` Returns true iff this dockable contains more than one component
`protected void` | `makeDock(int state)`
`void` | `makeDockEast()`
`void` | `makeDockNorth()`
`void` | `makeDockSouth()`
`void` | `makeDockWest()`
`void` | `makeExternalFrame()`
`void` | `makeInternalFrame()`
`protected void` | `makeNotResizable()`
`protected void` | `makeResizable()`
`protected javax.swing.border.Border` | `makeResizeBorder()`
`protected void` | `orientToolbars()`
`void` | `removeChild(javax.swing.JComponent child)`
`protected void` | `removeDock()`
`protected void` | `removeDockEast()`
`protected void` | `removeDockNorth()`
`protected void` | `removeDockSouth()`
`protected void` | `removeDockWest()`
`protected void` | `removeExternalFrame()`
`protected void` | `removeInternalFrame()`
`void` | `setPreferredHeight(int i)`
`void` | `setPreferredWidth(int i)`
`protected void` | `setState(int state)`
`protected static boolean` | `setTransparent(javax.swing.JComponent child, boolean t)` Set the indicated JComponent to transparent or not transparent.
`void` | `updateResizable()` Make the dock wrapper's border reflect its resizability
`boolean` | `updateTransparency()` Set the transparency of this DockWrapper to whatever the Constraint says it should be.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DockWrapper

    public DockWrapper(BasicDockPanel dp)

Method Detail

### addChild

    public void addChild(javax.swing.JComponent child)

### removeChild

    public void removeChild(javax.swing.JComponent child)

### getChildren

    public java.util.List getChildren()

  Get all of the children that we are holding. The returned list will have one element iff the DockWrapper is not tabbed.

  Returns:
    a list of JComponents that are the children.

### getChild

    public javax.swing.JComponent getChild()

  Get the one and only child if we are not tabbed. If we are tabbed, there may be more than one child...

### isTabbed

    public boolean isTabbed()

  Returns true iff this dockable contains more than one component

### getDockedWrapperIndexForTabbing

    public int getDockedWrapperIndexForTabbing()

  Get the index of the dockwrapper that we should use for tabbing-up, or -1 if there is none.

### doLayout

    public void doLayout()

  Overrides:
    `doLayout` in class `java.awt.Container`

### setTransparent

    protected static boolean setTransparent(javax.swing.JComponent child,
                                            boolean t)

  Set the indicated JComponent to transparent or not transparent.

  Returns:
    true iff this call has changed the state

### makeNotResizable

    protected void makeNotResizable()

### makeResizable

    protected void makeResizable()

### inBorder

    protected int inBorder(int x,
                           int y)

  get the border that mouse is in

### makeResizeBorder

    protected javax.swing.border.Border makeResizeBorder()

### updateTransparency

    public boolean updateTransparency()

  Set the transparency of this DockWrapper to whatever the Constraint says it should be.

  Returns:
    true iff the state has changed.

### updateResizable

    public void updateResizable()

  Make the dock wrapper's border reflect its resizability

### canOcclude

    public boolean canOcclude()

  Determine if this can occlude

### canTab

    public boolean canTab()

  Determine if this can tab

### canClose

    public boolean canClose()

  Determine if this can close

### canInternalFrame

    public boolean canInternalFrame()

  Determine if this can internalFrame

### canExternalFrame

    public boolean canExternalFrame()

  Determine if this can externalFrame

### canDockNorth

    public boolean canDockNorth()

  Determine if this can dockNorth

### canDockSouth

    public boolean canDockSouth()

  Determine if this can dockSouth

### canDockEast

    public boolean canDockEast()

  Determine if this can dockEast

### canDockWest

    public boolean canDockWest()

  Determine if this can dockWest

### makeExternalFrame

    public void makeExternalFrame()

### removeExternalFrame

    protected void removeExternalFrame()

### makeInternalFrame

    public void makeInternalFrame()

### removeInternalFrame

    protected void removeInternalFrame()

### makeDockNorth

    public void makeDockNorth()

### removeDockNorth

    protected void removeDockNorth()

### makeDockSouth

    public void makeDockSouth()

### removeDockSouth

    protected void removeDockSouth()

### makeDockEast

    public void makeDockEast()

### removeDockEast

    protected void removeDockEast()

### makeDockWest

    public void makeDockWest()

### removeDockWest

    protected void removeDockWest()

### makeDock

    protected void makeDock(int state)

### orientToolbars

    protected void orientToolbars()

### removeDock

    protected void removeDock()

### setState

    protected void setState(int state)

### freeWrapper

    public void freeWrapper()

### freeWrapper

    public boolean freeWrapper(DockWrapper w)

  Attempt to remove the given wrapper from us

### hasDockedWrappers

    public boolean hasDockedWrappers()

### getDockedWrappers

    public java.util.List getDockedWrappers()

### getDockedWrapper

    public DockWrapper getDockedWrapper(int idx)

### dock

    public void dock(DockWrapper w)

### dock

    public void dock(DockWrapper w,
                     int i)

### isDockedOnRecurse

    public boolean isDockedOnRecurse(DockWrapper w)

  Recursively determine if another wrapper is docked on this one.

### setPreferredHeight

    public void setPreferredHeight(int i)

### setPreferredWidth

    public void setPreferredWidth(int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details